package com.covas.Resources;

import java.util.concurrent.CompletableFuture;
import java.util.concurrent.CompletionStage;

import javax.inject.Inject;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.core.Response;

import io.quarkus.mailer.Mail;
import io.quarkus.mailer.MailTemplate;
import io.quarkus.mailer.reactive.ReactiveMailer;


@Path("mail")
public class MailRessource {

    @Inject
    private ReactiveMailer mail;

    @Inject
    private MailTemplate hello;

    
    @GET
    @Path("async")
    public CompletionStage<Response> sendMail(){
        //return mail.send(Mail.withText("valcze80@gmail.com", "async", "toto"))
        //.subscribeAsCompletionStage()
        //.thenApply(x -> Response.accepted().build());
        return hello.to("valcze80@gmail.com").subject("test").data("name", "Robert").send().subscribeAsCompletionStage().thenApply(x -> Response.accepted().build());
    }

    
}
